## mingw-w64-qt6-3d-6.7.1-1.src.tar.zst

=== src/extras/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from extras.pro.

#####################################################################
## Qt::3DExtras Module:
#####################################################################

qt_internal_add_module(3DExtras
    SOURCES
        3dtext/qextrudedtextgeometry.cpp 3dtext/qextrudedtextgeometry.h 3dtext/qextrudedtextgeometry_p.h
        3dtext/qextrudedtextmesh.cpp 3dtext/qextrudedtextmesh.h
        defaults/qabstractcameracontroller.cpp defaults/qabstractcameracontroller.h defaults/qabstractcameracontroller_p.h
        defaults/qabstractspritesheet.cpp defaults/qabstractspritesheet.h defaults/qabstractspritesheet_p.h
        defaults/qdiffusemapmaterial.cpp defaults/qdiffusemapmaterial.h defaults/qdiffusemapmaterial_p.h
        defaults/qdiffusespecularmapmaterial.cpp defaults/qdiffusespecularmapmaterial.h defaults/qdiffusespecularmapmaterial_p.h
        defaults/qdiffusespecularmaterial.cpp defaults/qdiffusespecularmaterial.h defaults/qdiffusespecularmaterial_p.h
        defaults/qfirstpersoncameracontroller.cpp defaults/qfirstpersoncameracontroller.h
        defaults/qforwardrenderer.cpp defaults/qforwardrenderer.h defaults/qforwardrenderer_p.h
        defaults/qgoochmaterial.cpp defaults/qgoochmaterial.h defaults/qgoochmaterial_p.h
        defaults/qmetalroughmaterial.cpp defaults/qmetalroughmaterial.h defaults/qmetalroughmaterial_p.h
        defaults/qmorphphongmaterial.cpp defaults/qmorphphongmaterial.h defaults/qmorphphongmaterial_p.h
        defaults/qnormaldiffusemapalphamaterial.cpp defaults/qnormaldiffusemapalphamaterial.h defaults/qnormaldiffusemapalphamaterial_p.h
        defaults/qnormaldiffusemapmaterial.cpp defaults/qnormaldiffusemapmaterial.h defaults/qnormaldiffusemapmaterial_p.h
        defaults/qnormaldiffusespecularmapmaterial.cpp defaults/qnormaldiffusespecularmapmaterial.h defaults/qnormaldiffusespecularmapmaterial_p.h
        defaults/qorbitcameracontroller.cpp defaults/qorbitcameracontroller.h defaults/qorbitcameracontroller_p.h
        defaults/qpervertexcolormaterial.cpp defaults/qpervertexcolormaterial.h defaults/qpervertexcolormaterial_p.h
        defaults/qphongalphamaterial.cpp defaults/qphongalphamaterial.h defaults/qphongalphamaterial_p.h
        defaults/qphongmaterial.cpp defaults/qphongmaterial.h defaults/qphongmaterial_p.h
        defaults/qskyboxentity.cpp defaults/qskyboxentity.h defaults/qskyboxentity_p.h
        defaults/qspritegrid.cpp defaults/qspritegrid.h defaults/qspritegrid_p.h
        defaults/qspritesheet.cpp defaults/qspritesheet.h defaults/qspritesheet_p.h
        defaults/qspritesheetitem.cpp defaults/qspritesheetitem.h defaults/qspritesheetitem_p.h
        defaults/qt3dwindow.cpp defaults/qt3dwindow.h defaults/qt3dwindow_p.h
        defaults/qtexturematerial.cpp defaults/qtexturematerial.h defaults/qtexturematerial_p.h
        geometries/qconegeometry.cpp geometries/qconegeometry.h geometries/qconegeometry_p.h
        geometries/qconegeometryview.cpp geometries/qconegeometryview.h
        geometries/qconemesh.cpp geometries/qconemesh.h
        geometries/qcuboidgeometry.cpp geometries/qcuboidgeometry.h geometries/qcuboidgeometry_p.h
        geometries/qcuboidgeometryview.cpp geometries/qcuboidgeometryview.h
        geometries/qcuboidmesh.cpp geometries/qcuboidmesh.h
        geometries/qcylindergeometry.cpp geometries/qcylindergeometry.h geometries/qcylindergeometry_p.h
        geometries/qcylindergeometryview.cpp geometries/qcylindergeometryview.h
        geometries/qcylindermesh.cpp geometries/qcylindermesh.h
        geometries/qplanegeometry.cpp geometries/qplanegeometry.h geometries/qplanegeometry_p.h
        geometries/qplanegeometryview.cpp geometries/qplanegeometryview.h
        geometries/qplanemesh.cpp geometries/qplanemesh.h
        geometries/qspheregeometry.cpp geometries/qspheregeometry.h geometries/qspheregeometry_p.h
        geometries/qspheregeometryview.cpp geometries/qspheregeometryview.h
        geometries/qspheremesh.cpp geometries/qspheremesh.h
        geometries/qtorusgeometry.cpp geometries/qtorusgeometry.h geometries/qtorusgeometry_p.h
        geometries/qtorusgeometryview.cpp geometries/qtorusgeometryview.h
        geometries/qtorusmesh.cpp geometries/qtorusmesh.h
        qt3dextras_global.h
        text/areaallocator.cpp text/areaallocator_p.h
        text/distancefieldtextrenderer.cpp text/distancefieldtextrenderer_p.h
        text/distancefieldtextrenderer_p_p.h
        text/qdistancefieldglyphcache.cpp text/qdistancefieldglyphcache_p.h
        text/qtext2dentity.cpp text/qtext2dentity.h text/qtext2dentity_p.h
        text/qtext2dmaterial.cpp text/qtext2dmaterial_p.h
        text/qtext2dmaterial_p_p.h
        text/qtextureatlas.cpp text/qtextureatlas_p.h
        text/qtextureatlas_p_p.h
    DEFINES
        QT3DEXTRAS_LIBRARY
        QT_NO_CONTEXTLESS_CONNECT
    INCLUDE_DIRECTORIES
        3dtext
        defaults
        geometries
        text
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::3DCore
        Qt::3DInput
        Qt::3DLogic
        Qt::3DRender
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
)

# QTransform conflicts
set_target_properties(3DExtras PROPERTIES UNITY_BUILD OFF)

# Resources:
set(extras_resource_files
    "shaders/es2/coordinatesystems.inc"
    "shaders/es2/default.vert"
    "shaders/es2/distancefieldtext.frag"
    "shaders/es2/distancefieldtext.vert"
    "shaders/es2/gooch.frag"
    "shaders/es2/gooch.vert"
    "shaders/es2/light.inc.frag"
    "shaders/es2/light.inc.frag100"
    "shaders/es2/morphphong.vert"
    "shaders/es2/pervertexcolor.frag"
    "shaders/es2/pervertexcolor.vert"
    "shaders/es2/phong.inc.frag"
    "shaders/es2/phong.inc.frag100"
    "shaders/es2/skybox.frag"
    "shaders/es2/skybox.vert"
    "shaders/es2/unlittexture.frag"
    "shaders/es2/unlittexture.vert"
    "shaders/es3/coordinatesystems.inc"
    "shaders/es3/default.vert"
    "shaders/es3/light.inc.frag"
    "shaders/es3/metalrough.inc.frag"
    "shaders/gl3/coordinatesystems.inc"
    "shaders/gl3/default.vert"
    "shaders/gl3/distancefieldtext.frag"
    "shaders/gl3/distancefieldtext.vert"
    "shaders/gl3/gooch.frag"
    "shaders/gl3/gooch.vert"
    "shaders/gl3/light.inc.frag"
    "shaders/gl3/metalrough.inc.frag"
    "shaders/gl3/morphphong.vert"
    "shaders/gl3/pervertexcolor.frag"
    "shaders/gl3/pervertexcolor.vert"
    "shaders/gl3/phong.inc.frag"
    "shaders/gl3/skybox.frag"
    "shaders/gl3/skybox.vert"
    "shaders/gl3/unlittexture.frag"
    "shaders/gl3/unlittexture.vert"
    "shaders/graphs/metalrough.frag.json"
    "shaders/graphs/phong.frag.json"
    "shaders/rhi/coordinatesystems.inc"
    "shaders/rhi/default_pos_norm.vert"
    "shaders/rhi/default_pos_norm_tex.vert"
    "shaders/rhi/default_pos_norm_tex_tan.vert"
    "shaders/rhi/default_pos_tex.vert"
    "shaders/rhi/defaultuniforms.inc"
    "shaders/rhi/distancefieldtext.frag"
    "shaders/rhi/distancefieldtext.vert"
    "shaders/rhi/gooch.frag"
    "shaders/rhi/gooch.vert"
    "shaders/rhi/light.inc.frag"
    "shaders/rhi/metalrough.inc.frag"
    "shaders/rhi/morphphong.vert"
    "shaders/rhi/pervertexcolor.frag"
    "shaders/rhi/pervertexcolor.vert"
    "shaders/rhi/phong.inc.frag"
    "shaders/rhi/skybox.frag"
    "shaders/rhi/skybox.vert"
    "shaders/rhi/unlittexture.frag"
    "shaders/rhi/unlittexture.vert"
)

qt_internal_add_resource(3DExtras "extras"
    PREFIX
        "/"
    FILES
        ${extras_resource_files}
)


#### Keys ignored in scope 1:.:.:extras.pro:<TRUE>:
# MODULE = "3DExtras"

=== src/input/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from input.pro.

#####################################################################
## Qt::3DInput Module:
#####################################################################

qt_internal_add_module(3DInput
    PLUGIN_TYPES 3dinputdevices
    SOURCES
        backend/abstractactioninput.cpp backend/abstractactioninput_p.h
        backend/abstractaxisinput.cpp backend/abstractaxisinput_p.h
        backend/action.cpp backend/action_p.h
        backend/actioninput.cpp backend/actioninput_p.h
        backend/analogaxisinput.cpp backend/analogaxisinput_p.h
        backend/assignkeyboardfocusjob.cpp backend/assignkeyboardfocusjob_p.h
        backend/axis.cpp backend/axis_p.h
        backend/axisaccumulator.cpp backend/axisaccumulator_p.h
        backend/axisaccumulatorjob.cpp backend/axisaccumulatorjob_p.h
        backend/axissetting.cpp backend/axissetting_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/buttonaxisinput.cpp backend/buttonaxisinput_p.h
        backend/genericdevicebackendnode.cpp backend/genericdevicebackendnode_p.h
        backend/handle_types_p.h
        backend/inputbackendnodefunctor_p.h
        backend/inputchord.cpp backend/inputchord_p.h
        backend/inputhandler.cpp backend/inputhandler_p.h
        backend/inputmanagers_p.h
        backend/inputsequence.cpp backend/inputsequence_p.h
        backend/inputsettings.cpp backend/inputsettings_p.h
        backend/job_common_p.h
        backend/keyboarddevice.cpp backend/keyboarddevice_p.h
        backend/keyboardhandler.cpp backend/keyboardhandler_p.h
        backend/keyboardmousegenericdeviceintegration.cpp backend/keyboardmousegenericdeviceintegration_p.h
        backend/loadproxydevicejob.cpp backend/loadproxydevicejob_p.h
        backend/logicaldevice.cpp backend/logicaldevice_p.h
        backend/mousedevice.cpp backend/mousedevice_p.h
        backend/mousehandler.cpp backend/mousehandler_p.h
        backend/movingaverage.cpp backend/movingaverage_p.h
        backend/physicaldeviceproxy.cpp backend/physicaldeviceproxy_p.h
        backend/qabstractphysicaldevicebackendnode.cpp backend/qabstractphysicaldevicebackendnode_p.h
        backend/qabstractphysicaldevicebackendnode_p_p.h
        backend/updateaxisactionjob.cpp backend/updateaxisactionjob_p.h
        backend/utils_p.h
        frontend/qabstractactioninput.cpp frontend/qabstractactioninput.h frontend/qabstractactioninput_p.h
        frontend/qabstractaxisinput.cpp frontend/qabstractaxisinput.h frontend/qabstractaxisinput_p.h
        frontend/qabstractphysicaldevice.cpp frontend/qabstractphysicaldevice.h frontend/qabstractphysicaldevice_p.h
        frontend/qabstractphysicaldeviceproxy.cpp frontend/qabstractphysicaldeviceproxy_p.h
        frontend/qabstractphysicaldeviceproxy_p_p.h
        frontend/qaction.cpp frontend/qaction.h frontend/qaction_p.h
        frontend/qactioninput.cpp frontend/qactioninput.h frontend/qactioninput_p.h
        frontend/qanalogaxisinput.cpp frontend/qanalogaxisinput.h frontend/qanalogaxisinput_p.h
        frontend/qaxis.cpp frontend/qaxis.h frontend/qaxis_p.h
        frontend/qaxisaccumulator.cpp frontend/qaxisaccumulator.h frontend/qaxisaccumulator_p.h
        frontend/qaxissetting.cpp frontend/qaxissetting.h frontend/qaxissetting_p.h
        frontend/qbuttonaxisinput.cpp frontend/qbuttonaxisinput.h frontend/qbuttonaxisinput_p.h
        frontend/qgenericinputdevice.cpp frontend/qgenericinputdevice_p.h
        frontend/qinputaspect.cpp frontend/qinputaspect.h frontend/qinputaspect_p.h
        frontend/qinputchord.cpp frontend/qinputchord.h frontend/qinputchord_p.h
        frontend/qinputdeviceintegration.cpp frontend/qinputdeviceintegration_p.h
        frontend/qinputdeviceintegration_p_p.h
        frontend/qinputdeviceintegrationfactory.cpp frontend/qinputdeviceintegrationfactory_p.h
        frontend/qinputdeviceplugin.cpp frontend/qinputdeviceplugin_p.h
        frontend/qinputsequence.cpp frontend/qinputsequence.h frontend/qinputsequence_p.h
        frontend/qinputsettings.cpp frontend/qinputsettings.h frontend/qinputsettings_p.h
        frontend/qkeyboarddevice.cpp frontend/qkeyboarddevice.h frontend/qkeyboarddevice_p.h
        frontend/qkeyboardhandler.cpp frontend/qkeyboardhandler.h frontend/qkeyboardhandler_p.h
        frontend/qkeyevent.cpp frontend/qkeyevent.h
        frontend/qlogicaldevice.cpp frontend/qlogicaldevice.h frontend/qlogicaldevice_p.h
        frontend/qmousedevice.cpp frontend/qmousedevice.h frontend/qmousedevice_p.h
        frontend/qmouseevent.cpp frontend/qmouseevent.h
        frontend/qmousehandler.cpp frontend/qmousehandler.h frontend/qmousehandler_p.h
        qt3dinput_global.h qt3dinput_global_p.h
    DEFINES
        QT3DINPUT_LIBRARY
        QT_NO_CONTEXTLESS_CONNECT
    INCLUDE_DIRECTORIES
        backend
        frontend
    LIBRARIES
        Qt::CorePrivate
        Qt::3DCorePrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::3DCorePrivate
)

#### Keys ignored in scope 1:.:.:input.pro:<TRUE>:
# MODULE = "3DInput"

## Scopes:
#####################################################################

qt_internal_extend_target(3DInput CONDITION TARGET Qt::Gamepad
    SOURCES
        frontend/qgamepadinput.cpp frontend/qgamepadinput_p.h
    DEFINES
        HAVE_QGAMEPAD
    PUBLIC_LIBRARIES
        Qt::Gamepad
)

=== src/logic/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from logic.pro.

#####################################################################
## 3DLogic Module:
#####################################################################

qt_internal_add_module(3DLogic
    SOURCES
        callbackjob.cpp callbackjob_p.h
        executor.cpp executor_p.h
        handle_types_p.h
        handler.cpp handler_p.h
        job_common_p.h
        manager.cpp manager_p.h
        managers_p.h
        qframeaction.cpp qframeaction.h qframeaction_p.h
        qlogicaspect.cpp qlogicaspect.h qlogicaspect_p.h
        qt3dlogic_global.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::3DCorePrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::3DCorePrivate
)

#### Keys ignored in scope 1:.:.:logic.pro:<TRUE>:
# MODULE = "3DLogic"

## Scopes:
#####################################################################

qt_internal_extend_target(3DLogic CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== src/render/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from render.pro.

#####################################################################
## 3drender Module:
#####################################################################

qt_internal_add_module(3DRender
    PLUGIN_TYPES sceneparsers geometryloaders renderplugins renderers
    SOURCES
        backend/abstractrenderer_p.h
        backend/apishadermanager_p.h
        backend/attachmentpack.cpp backend/attachmentpack_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/boundingvolumedebug.cpp backend/boundingvolumedebug_p.h
        backend/bufferutils_p.h
        backend/buffervisitor_p.h
        backend/cameralens.cpp backend/cameralens_p.h
        backend/computecommand.cpp backend/computecommand_p.h
        backend/entity.cpp backend/entity_p.h
        backend/entity_p_p.h
        backend/entityaccumulator.cpp backend/entityaccumulator_p.h
        backend/entityvisitor.cpp backend/entityvisitor_p.h
        backend/handle_types_p.h
        backend/layer.cpp backend/layer_p.h
        backend/levelofdetail.cpp backend/levelofdetail_p.h
        backend/managers.cpp backend/managers_p.h
        backend/nodefunctor_p.h
        backend/nodemanagers.cpp backend/nodemanagers_p.h
        backend/offscreensurfacehelper.cpp backend/offscreensurfacehelper_p.h
        backend/parameterpack.cpp backend/parameterpack_p.h
        backend/platformsurfacefilter.cpp backend/platformsurfacefilter_p.h
        backend/pointsvisitor.cpp backend/pointsvisitor_p.h
        backend/rendersettings.cpp backend/rendersettings_p.h
        backend/rendertarget.cpp backend/rendertarget_p.h
        backend/rendertargetoutput.cpp backend/rendertargetoutput_p.h
        backend/resourceaccessor.cpp backend/resourceaccessor_p.h
        backend/segmentsvisitor.cpp backend/segmentsvisitor_p.h
        backend/stringtoint.cpp backend/stringtoint_p.h
        backend/transform.cpp backend/transform_p.h
        backend/triangleboundingvolume.cpp backend/triangleboundingvolume_p.h
        backend/trianglesvisitor.cpp backend/trianglesvisitor_p.h
        backend/uniform.cpp backend/uniform_p.h
        backend/visitorutils_p.h
        framegraph/blitframebuffer.cpp framegraph/blitframebuffer_p.h
        framegraph/buffercapture.cpp framegraph/buffercapture_p.h
        framegraph/cameraselectornode.cpp framegraph/cameraselectornode_p.h
        framegraph/clearbuffers.cpp framegraph/clearbuffers_p.h
        framegraph/debugoverlay.cpp framegraph/debugoverlay_p.h
        framegraph/dispatchcompute.cpp framegraph/dispatchcompute_p.h
        framegraph/framegraphnode.cpp framegraph/framegraphnode_p.h
        framegraph/framegraphvisitor.cpp framegraph/framegraphvisitor_p.h
        framegraph/frustumculling.cpp framegraph/frustumculling_p.h
        framegraph/layerfilternode.cpp framegraph/layerfilternode_p.h
        framegraph/memorybarrier.cpp framegraph/memorybarrier_p.h
        framegraph/nodraw.cpp framegraph/nodraw_p.h
        framegraph/nopicking.cpp framegraph/nopicking_p.h
        framegraph/proximityfilter.cpp framegraph/proximityfilter_p.h
        framegraph/qblitframebuffer.cpp framegraph/qblitframebuffer.h framegraph/qblitframebuffer_p.h
        framegraph/qbuffercapture.cpp framegraph/qbuffercapture.h framegraph/qbuffercapture_p.h
        framegraph/qcameraselector.cpp framegraph/qcameraselector.h framegraph/qcameraselector_p.h
        framegraph/qclearbuffers.cpp framegraph/qclearbuffers.h framegraph/qclearbuffers_p.h
        framegraph/qdebugoverlay.cpp framegraph/qdebugoverlay.h framegraph/qdebugoverlay_p.h
        framegraph/qdispatchcompute.cpp framegraph/qdispatchcompute.h framegraph/qdispatchcompute_p.h
        framegraph/qframegraphnode.cpp framegraph/qframegraphnode.h framegraph/qframegraphnode_p.h
        framegraph/qfrustumculling.cpp framegraph/qfrustumculling.h
        framegraph/qlayerfilter.cpp framegraph/qlayerfilter.h framegraph/qlayerfilter_p.h
        framegraph/qmemorybarrier.cpp framegraph/qmemorybarrier.h framegraph/qmemorybarrier_p.h
        framegraph/qnodraw.cpp framegraph/qnodraw.h
        framegraph/qnopicking.cpp framegraph/qnopicking.h
        framegraph/qproximityfilter.cpp framegraph/qproximityfilter.h framegraph/qproximityfilter_p.h
        framegraph/qrendercapture.cpp framegraph/qrendercapture.h framegraph/qrendercapture_p.h
        framegraph/qrenderpassfilter.cpp framegraph/qrenderpassfilter.h framegraph/qrenderpassfilter_p.h
        framegraph/qrenderstateset.cpp framegraph/qrenderstateset.h framegraph/qrenderstateset_p.h
        framegraph/qrendersurfaceselector.cpp framegraph/qrendersurfaceselector.h framegraph/qrendersurfaceselector_p.h
        framegraph/qrendertargetselector.cpp framegraph/qrendertargetselector.h framegraph/qrendertargetselector_p.h
        framegraph/qsetfence.cpp framegraph/qsetfence.h framegraph/qsetfence_p.h
        framegraph/qsortpolicy.cpp framegraph/qsortpolicy.h framegraph/qsortpolicy_p.h
        framegraph/qsubtreeenabler.cpp framegraph/qsubtreeenabler.h framegraph/qsubtreeenabler_p.h
        framegraph/qtechniquefilter.cpp framegraph/qtechniquefilter.h framegraph/qtechniquefilter_p.h
        framegraph/qviewport.cpp framegraph/qviewport.h framegraph/qviewport_p.h
        framegraph/qwaitfence.cpp framegraph/qwaitfence.h framegraph/qwaitfence_p.h
        framegraph/rendercapture.cpp framegraph/rendercapture_p.h
        framegraph/renderpassfilternode.cpp framegraph/renderpassfilternode_p.h
        framegraph/rendersurfaceselector.cpp framegraph/rendersurfaceselector_p.h
        framegraph/rendertargetselectornode.cpp framegraph/rendertargetselectornode_p.h
        framegraph/setfence.cpp framegraph/setfence_p.h
        framegraph/sortpolicy.cpp framegraph/sortpolicy_p.h
        framegraph/statesetnode.cpp framegraph/statesetnode_p.h
        framegraph/subtreeenabler.cpp framegraph/subtreeenabler_p.h
        framegraph/techniquefilternode.cpp framegraph/techniquefilternode_p.h
        framegraph/viewportnode.cpp framegraph/viewportnode_p.h
        framegraph/waitfence.cpp framegraph/waitfence_p.h
        frontend/qcamera.cpp frontend/qcamera.h frontend/qcamera_p.h
        frontend/qcameralens.cpp frontend/qcameralens.h frontend/qcameralens_p.h
        frontend/qcomputecommand.cpp frontend/qcomputecommand.h frontend/qcomputecommand_p.h
        frontend/qlayer.cpp frontend/qlayer.h frontend/qlayer_p.h
        frontend/qlevelofdetail.cpp frontend/qlevelofdetail.h frontend/qlevelofdetail_p.h
        frontend/qlevelofdetailboundingsphere.cpp frontend/qlevelofdetailboundingsphere.h
        frontend/qlevelofdetailswitch.cpp frontend/qlevelofdetailswitch.h frontend/qlevelofdetailswitch_p.h
        frontend/qpickingsettings.cpp frontend/qpickingsettings.h frontend/qpickingsettings_p.h
        frontend/qrenderapi.h
        frontend/qrenderaspect.cpp frontend/qrenderaspect.h frontend/qrenderaspect_p.h
        frontend/qrendercapabilities.cpp frontend/qrendercapabilities.h frontend/qrendercapabilities_p.h
        frontend/qrenderplugin_p.h
        frontend/qrenderpluginfactory.cpp frontend/qrenderpluginfactory_p.h
        frontend/qrenderpluginfactoryif.cpp frontend/qrenderpluginfactoryif_p.h
        frontend/qrendersettings.cpp frontend/qrendersettings.h frontend/qrendersettings_p.h
        frontend/qrendertarget.cpp frontend/qrendertarget.h frontend/qrendertarget_p.h
        frontend/qrendertargetoutput.cpp frontend/qrendertargetoutput.h frontend/qrendertargetoutput_p.h
        frontend/sphere.cpp frontend/sphere_p.h
        geometry/armature.cpp geometry/armature_p.h
        geometry/attribute.cpp geometry/attribute_p.h
        geometry/buffer.cpp geometry/buffer_p.h
        geometry/buffermanager.cpp geometry/buffermanager_p.h
        geometry/geometry.cpp geometry/geometry_p.h
        geometry/geometryrenderer.cpp geometry/geometryrenderer_p.h
        geometry/geometryrenderermanager.cpp geometry/geometryrenderermanager_p.h
        geometry/gltfskeletonloader.cpp geometry/gltfskeletonloader_p.h
        geometry/joint.cpp geometry/joint_p.h
        geometry/pickingproxy.cpp geometry/pickingproxy_p.h
        geometry/qgeometryrenderer.cpp geometry/qgeometryrenderer.h geometry/qgeometryrenderer_p.h
        geometry/qmesh.cpp geometry/qmesh.h geometry/qmesh_p.h
        geometry/qpickingproxy.cpp geometry/qpickingproxy.h geometry/qpickingproxy_p.h
        geometry/skeleton.cpp geometry/skeleton_p.h
        geometry/skeletondata.cpp geometry/skeletondata_p.h
        io/qaxisalignedboundingbox.cpp io/qaxisalignedboundingbox_p.h
        io/qgeometryloaderfactory.cpp io/qgeometryloaderfactory_p.h
        io/qgeometryloaderinterface_p.h
        io/qsceneexporter.cpp io/qsceneexporter_p.h
        io/qsceneexportfactory.cpp io/qsceneexportfactory_p.h
        io/qsceneexportplugin.cpp io/qsceneexportplugin_p.h
        io/qsceneimporter.cpp io/qsceneimporter_p.h
        io/qsceneimportfactory.cpp io/qsceneimportfactory_p.h
        io/qsceneimportplugin.cpp io/qsceneimportplugin_p.h
        io/qsceneloader.cpp io/qsceneloader.h io/qsceneloader_p.h
        io/scene.cpp io/scene_p.h
        io/scenemanager.cpp io/scenemanager_p.h
        jobs/abstractpickingjob.cpp jobs/abstractpickingjob_p.h
        jobs/calcboundingvolumejob.cpp jobs/calcboundingvolumejob_p.h
        jobs/computefilteredboundingvolumejob.cpp jobs/computefilteredboundingvolumejob_p.h
        jobs/expandboundingvolumejob.cpp jobs/expandboundingvolumejob_p.h
        jobs/filterentitybycomponentjob_p.h
        jobs/filterlayerentityjob.cpp jobs/filterlayerentityjob_p.h
        jobs/filterproximitydistancejob.cpp jobs/filterproximitydistancejob_p.h
        jobs/framecleanupjob.cpp jobs/framecleanupjob_p.h
        jobs/frustumcullingjob.cpp jobs/frustumcullingjob_p.h
        jobs/genericlambdajob_p.h
        jobs/job_common_p.h
        jobs/lightgatherer.cpp jobs/lightgatherer_p.h
        jobs/loadgeometryjob.cpp jobs/loadgeometryjob_p.h
        jobs/loadscenejob.cpp jobs/loadscenejob_p.h
        jobs/loadskeletonjob.cpp jobs/loadskeletonjob_p.h
        jobs/pickboundingvolumejob.cpp jobs/pickboundingvolumejob_p.h
        jobs/pickboundingvolumeutils.cpp jobs/pickboundingvolumeutils_p.h
        jobs/raycastingjob.cpp jobs/raycastingjob_p.h
        jobs/sendbuffercapturejob.cpp jobs/sendbuffercapturejob_p.h
        jobs/updateentitylayersjob.cpp jobs/updateentitylayersjob_p.h
        jobs/updatelevelofdetailjob.cpp jobs/updatelevelofdetailjob_p.h
        jobs/updateshaderdatatransformjob.cpp jobs/updateshaderdatatransformjob_p.h
        jobs/updateskinningpalettejob.cpp jobs/updateskinningpalettejob_p.h
        jobs/updatetreeenabledjob.cpp jobs/updatetreeenabledjob_p.h
        jobs/updateworldboundingvolumejob.cpp jobs/updateworldboundingvolumejob_p.h
        jobs/updateworldtransformjob.cpp jobs/updateworldtransformjob_p.h
        jobs/filtercompatibletechniquejob.cpp jobs/filtercompatibletechniquejob_p.h
        jobs/materialparametergathererjob.cpp jobs/materialparametergathererjob_p.h
        jobs/renderviewjobutils.cpp jobs/renderviewjobutils_p.h
        jobs/uniformblockbuilder.cpp jobs/uniformblockbuilder_p.h
        jobs/renderqueue_p.h
        jobs/renderercache_p.h
        jobs/renderviewcommandbuilderjob_p.h
        jobs/renderviewcommandupdaterjob_p.h
        jobs/renderviewinitializerjob_p.h
        jobs/rendersyncjobs_p.h
        lights/environmentlight.cpp lights/environmentlight_p.h
        lights/light.cpp lights/light_p.h
        lights/lightsource.cpp lights/lightsource_p.h
        lights/qabstractlight.cpp lights/qabstractlight.h lights/qabstractlight_p.h
        lights/qdirectionallight.cpp lights/qdirectionallight.h lights/qdirectionallight_p.h
        lights/qenvironmentlight.cpp lights/qenvironmentlight.h lights/qenvironmentlight_p.h
        lights/qpointlight.cpp lights/qpointlight.h lights/qpointlight_p.h

=== src/quick3d/quick3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3d.pro.

#####################################################################
## Qt::3DQuick Module:
#####################################################################

qt_internal_add_qml_module(3DQuick
    URI "Qt3D.Core"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    CLASS_NAME Qt3DQuick3DCorePlugin
    DEPENDENCIES
        QtQuick/auto
    PLUGIN_TARGET quick3dcoreplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    SOURCES
        items/quick3dbuffer.cpp items/quick3dbuffer_p.h
        items/quick3dentity.cpp items/quick3dentity_p.h
        items/quick3dentityloader.cpp items/quick3dentityloader_p.h
        items/quick3dentityloader_p_p.h
        items/quick3dgeometry.cpp items/quick3dgeometry_p.h
        items/quick3djoint.cpp items/quick3djoint_p.h
        items/quick3dnode.cpp items/quick3dnode_p.h
        items/quick3dnodeinstantiator.cpp items/quick3dnodeinstantiator_p.h
        qqmlaspectengine.cpp qqmlaspectengine.h qqmlaspectengine_p.h
        qquaternionanimation.cpp qquaternionanimation_p.h
        qt3dquick_global.cpp qt3dquick_global.h qt3dquick_global_p.h
        qt3dquickforeign_p.h
        qt3dquicknodefactory.cpp qt3dquicknodefactory_p.h
        qt3dquickvaluetypes.cpp qt3dquickvaluetypes_p.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
)

#### Keys ignored in scope 1:.:.:quick3d.pro:<TRUE>:
# MODULE = "3DQuick"

## Scopes:
#####################################################################

qt_internal_extend_target(3DQuick CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

# We can't move these sources into here because the directory structure needs
# to be maintained to support Qt5 qmake builds.
qt_internal_extend_target(quick3dcoreplugin
    SOURCES
        ../imports/core/qt3dquick3dcoreplugin.cpp
        ../imports/core/qt3dquick3dcoreplugin.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DQuick
        Qt::3DQuickPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
)

=== src/quick3d/quick3danimation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3danimation.pro.

#####################################################################
## Qt::3DQuickAnimation Module:
#####################################################################

qt_internal_add_module(3DQuickAnimation
    SOURCES
        items/quick3danimationcontroller.cpp items/quick3danimationcontroller_p.h
        items/quick3danimationgroup.cpp items/quick3danimationgroup_p.h
        items/quick3dchannelmapper.cpp items/quick3dchannelmapper_p.h
        items/quick3dkeyframeanimation.cpp items/quick3dkeyframeanimation_p.h
        items/quick3dmorphinganimation.cpp items/quick3dmorphinganimation_p.h
        items/quick3dmorphtarget.cpp items/quick3dmorphtarget_p.h
        items/quick3dvertexblendanimation.cpp items/quick3dvertexblendanimation_p.h
        qt3dquickanimation_global.cpp qt3dquickanimation_global.h qt3dquickanimation_global_p.h
        qt3dquickanimationnodefactory.cpp qt3dquickanimationnodefactory_p.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::3DAnimation
        Qt::3DCore
        Qt::3DQuick
        Qt::3DRender
        Qt::Core
        Qt::Gui
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:quick3danimation.pro:<TRUE>:
# MODULE = "3dquickanimation"

## Scopes:
#####################################################################

qt_internal_extend_target(3DQuickAnimation CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== src/plugins/geometryloaders/fbx/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from fbx.pro.

#####################################################################
## fbxGeometryLoaderPlugin Plugin:
#####################################################################

qt_internal_add_plugin(fbxGeometryLoaderPlugin
    OUTPUT_NAME fbxgeometryloader
    PLUGIN_TYPE geometryloaders
    SOURCES
        fbxgeometryloader.cpp fbxgeometryloader.h
        main.cpp
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        fbx
)

#### Keys ignored in scope 1:.:.:fbx.pro:<TRUE>:
# DISTFILES = "fbx.json"

=== src/plugins/renderers/rhi/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from rhi.pro.

set(rhiRendererSources graphicshelpers/submissioncontext.cpp graphicshelpers/submissioncontext_p.h
    io/rhibuffer.cpp io/rhibuffer_p.h
    managers/rhihandle_types_p.h
    managers/rhiresourcemanagers.cpp managers/rhiresourcemanagers_p.h
    renderer/commandexecuter.cpp renderer/commandexecuter_p.h
    renderer/logging.cpp renderer/logging_p.h
    renderer/rendercommand.cpp renderer/rendercommand_p.h
    renderer/renderer.cpp renderer/renderer_p.h
    renderer/renderview.cpp renderer/renderview_p.h
    renderer/renderviewbuilder.cpp renderer/renderviewbuilder_p.h
    renderer/rhigraphicspipeline.cpp renderer/rhigraphicspipeline_p.h
    renderer/rhirendertarget.cpp renderer/rhirendertarget_p.h
    renderer/rhishader.cpp renderer/rhishader_p.h
    renderer/shaderparameterpack.cpp renderer/shaderparameterpack_p.h
    renderer/shadervariables_p.h
    renderer/pipelineuboset.cpp renderer/pipelineuboset_p.h
    textures/renderbuffer.cpp textures/renderbuffer_p.h
    textures/texture.cpp textures/texture_p.h
)

#####################################################################
## Static library used for Unit Tests:
#####################################################################

if(QT_FEATURE_private_tests)

    add_library(RhiRendererLib STATIC ${rhiRendererSources})

    target_include_directories(RhiRendererLib PUBLIC
        managers
        io
        graphicshelpers
        renderer
        textures
    )

    target_link_libraries(RhiRendererLib
        PUBLIC
            Qt::3DCore
            Qt::3DCorePrivate
            Qt::3DRender
            Qt::3DRenderPrivate
            Qt::Core
            Qt::CorePrivate
            Qt::Gui
            Qt::GuiPrivate
            Qt::ShaderTools
            Qt::ShaderToolsPrivate
    )

    target_compile_definitions(RhiRendererLib PRIVATE
        BUILD_QT3D_MODULE
        QT_BUILDING_QT
    )

endif()

#####################################################################
## RhiRendererPlugin Plugin:
#####################################################################

qt_internal_add_plugin(RhiRendererPlugin
    OUTPUT_NAME rhirenderer
    PLUGIN_TYPE renderers
    SOURCES
        main.cpp
        ${rhiRendererSources}
    DEFINES
        BUILD_QT3D_MODULE
        QT_BUILDING_QT
        QT_NO_CONTEXTLESS_CONNECT
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
        graphicshelpers
        io
        managers
        renderer
        textures
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::ShaderTools
        Qt::ShaderToolsPrivate
)

# QTransform conflicts
set_target_properties(RhiRendererPlugin PROPERTIES UNITY_BUILD OFF)

#### Keys ignored in scope 1:.:.:rhi.pro:<TRUE>:
# DISTFILES = "rhirenderer.json"

## Scopes:
#####################################################################

qt_internal_extend_target(RhiRendererPlugin CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== src/quick3d/imports/extras/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from importsextras.pro.

#####################################################################
## quick3dextrasplugin Plugin:
#####################################################################

qt_internal_add_qml_module(quick3dextrasplugin
    URI "Qt3D.Extras"
    VERSION "2.${PROJECT_VERSION_MINOR}"
    CLASS_NAME Qt3DQuick3DExtrasPlugin
    PLUGIN_TARGET quick3dextrasplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    DEPENDENCIES
        QtQuick/auto
        Qt3D.Logic/auto
    SOURCES
        qt3dquick3dextrasplugin.cpp qt3dquick3dextrasplugin.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DExtras
        3DLogic
        Qt::3DQuick
        Qt::3DQuickPrivate
        Qt::3DQuickExtras
        Qt::3DQuickExtrasPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
)

#### Keys ignored in scope 1:.:.:importsextras.pro:<TRUE>:
# CXX_MODULE = "qml"
# IMPORT_VERSION = "2.$$QT_MINOR_VERSION"
# OTHER_FILES = "qmldir"
# TARGETPATH = "Qt3D/Extras"

=== src/quick3d/imports/input/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from importsinput.pro.

#####################################################################
## quick3dinputplugin Plugin:
#####################################################################

qt_internal_add_qml_module(quick3dinputplugin
    URI "Qt3D.Input"
    VERSION "2.${PROJECT_VERSION_MINOR}"
    CLASS_NAME Qt3DQuick3DInputPlugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQml/auto
    PLUGIN_TARGET quick3dinputplugin
    SOURCES
        qt3dquick3dinputforeign_p.h
    DEFINES
        QT_NO_CONTEXTLESS_CONNECT
    LIBRARIES
        Qt::3DCore
        Qt::3DInput
        Qt::3DInputPrivate
        Qt::3DQuickInputPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
)

#### Keys ignored in scope 1:.:.:importsinput.pro:<TRUE>:
# CXX_MODULE = "qml"
# IMPORT_VERSION = "2.$$QT_MINOR_VERSION"
# OTHER_FILES = "qmldir"
# TARGETPATH = "Qt3D/Input"

## Scopes:
#####################################################################

qt_internal_extend_target(quick3dinputplugin CONDITION TARGET Qt::Gamepad
    DEFINES
        HAVE_QGAMEPAD
)

=== tests/auto/render/uniform/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from uniform.pro.

#####################################################################
## tst_uniform Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_uniform LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_uniform
    SOURCES
        tst_uniform.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:uniform.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../commons/commons.cmake)
qt3d_setup_common_render_test(tst_uniform)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-3d
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.7.1
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='C++ and QML APIs for easy inclusion of 3D graphics (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qt3d.git"
msys2_references=(
  'archlinux: qt6-3d'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND CC-BY-4.0 AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
             "${MINGW_PACKAGE_PREFIX}-qt6-multimedia"
             "${MINGW_PACKAGE_PREFIX}-assimp"
             "${MINGW_PACKAGE_PREFIX}-vulkan-headers"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('f59ec0ac81bd6a1b88359bae7362017dc1ca3371726f5c5399a34d2f80d5357b')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake -Wno-dev \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-3d() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative"
              "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
              "${MINGW_PACKAGE_PREFIX}-qt6-multimedia"
              "${MINGW_PACKAGE_PREFIX}-assimp")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs ${pkgdir}/.${MINGW_PREFIX} ${srcdir}/${MSYSTEM}-debug/

  install -d "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 ${_pkgfn}/LICENSES/* -t "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-3d-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf ${srcdir}/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
